## Version Information

Version Information — variables and functions to check the libwnck version

## Stability Level

Unstable, unless otherwise indicated

## Functions

#define | WNCK_CHECK_VERSION()

## Types and Values

#define | WNCK_MAJOR_VERSION
#define | WNCK_MINOR_VERSION
#define | WNCK_MICRO_VERSION

## Description

libwnck provides version information, primarily useful in configure checks for builds that have a configure script, and to write code against different versions of libwnck that do not provide the same API.

## Functions

### WNCK_CHECK_VERSION()

    #define             WNCK_CHECK_VERSION(major,minor,micro)

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the libwnck header files is the same as or newer than the passed-in version, `FALSE` otherwise.

Since: 3.0

## Types and Values

### WNCK_MAJOR_VERSION

    #define WNCK_MAJOR_VERSION (43)

#### Returns

the major version number of the libwnck library, from the headers used at application compile time, rather than from the library linked against at application run time. (e.g. in libwnck version 1.2.5 this is 1.)

Since: 3.0

### WNCK_MINOR_VERSION

    #define WNCK_MINOR_VERSION (3)

#### Returns

the minor version number of the libwnck library, from the headers used at application compile time, rather than from the library linked against at application run time. (e.g. in libwnck version 1.2.5 this is 2.)

Since: 3.0

### WNCK_MICRO_VERSION

    #define WNCK_MICRO_VERSION (0)

#### Returns

the micro version number of the libwnck library, from the headers used at application compile time, rather than from the library linked against at application run time. (e.g. in libwnck version 1.2.5 this is 5.)

Since: 3.0